org.modeshape.jcr

## Class Connectors.LocalDocumentStoreExtraProperties

- java.lang.Object
- - org.modeshape.jcr.Connectors.LocalDocumentStoreExtraProperties

- All Implemented Interfaces:
    ExtraPropertiesStore
  Enclosing class:
    Connectors

      protected static class Connectors.LocalDocumentStoreExtraProperties
      extends Object
      implements ExtraPropertiesStore

- - ### Field Summary

    - ### Fields inherited from interface org.modeshape.jcr.spi.federation.ExtraPropertiesStore

      `NO_PROPERTIES`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Connectors.LocalDocumentStoreExtraProperties(LocalDocumentStore localStore, String sourceKey, DocumentTranslator translator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `contains(String id)` Check if this store contains any extra properties for the node with the given ID.
    `Map<Name,Property>` | `getProperties(String id)` Retrieve the extra properties that were stored for the node with the supplied ID.
    `protected String` | `keyFor(String id)`
    `boolean` | `removeProperties(String id)` Remove all of the extra properties that were stored for the node with the supplied ID.
    `void` | `storeProperties(String id, Map<Name,Property> properties)` Store the supplied extra properties for the node with the supplied ID.
    `void` | `updateProperties(String id, Map<Name,Property> properties)` Update the supplied extra properties for the node with the supplied ID.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Connectors.LocalDocumentStoreExtraProperties

          protected Connectors.LocalDocumentStoreExtraProperties(LocalDocumentStore localStore,
                                                      String sourceKey,
                                                      DocumentTranslator translator)

  - ### Method Detail

    - #### keyFor

          protected String keyFor(String id)

    - #### getProperties

          public Map<Name,Property> getProperties(String id)

      Description copied from interface: `ExtraPropertiesStore`
      Retrieve the extra properties that were stored for the node with the supplied ID.
      Specified by:
        `getProperties` in interface `ExtraPropertiesStore`
      Parameters:
        `id` - the identifier for the node; may not be null
      Returns:
        the map of properties keyed by their name; may be empty, but never null

    - #### removeProperties

          public boolean removeProperties(String id)

      Description copied from interface: `ExtraPropertiesStore`
      Remove all of the extra properties that were stored for the node with the supplied ID.
      Specified by:
        `removeProperties` in interface `ExtraPropertiesStore`
      Parameters:
        `id` - the identifier for the node; may not be null
      Returns:
        true if there were properties stored for the node and now removed, or false if there were no extra properties stored for the node with the supplied key

    - #### storeProperties

          public void storeProperties(String id,
                             Map<Name,Property> properties)

      Description copied from interface: `ExtraPropertiesStore`
      Store the supplied extra properties for the node with the supplied ID. This will overwrite any properties that were previously stored for the node with the specified ID.
      Specified by:
        `storeProperties` in interface `ExtraPropertiesStore`
      Parameters:
        `id` - the identifier for the node; may not be null
        `properties` - the extra properties for the node that should be stored in this storage area, keyed by their name

    - #### updateProperties

          public void updateProperties(String id,
                              Map<Name,Property> properties)

      Description copied from interface: `ExtraPropertiesStore`
      Update the supplied extra properties for the node with the supplied ID.
      Specified by:
        `updateProperties` in interface `ExtraPropertiesStore`
      Parameters:
        `id` - the identifier for the node; may not be null
        `properties` - the extra properties for the node that should be stored in this storage area, keyed by their name; any entry that contains a null Property will define a property that should be removed

    - #### contains

          public boolean contains(String id)

      Description copied from interface: `ExtraPropertiesStore`
      Check if this store contains any extra properties for the node with the given ID.
      Specified by:
        `contains` in interface `ExtraPropertiesStore`
      Parameters:
        `id` - the identifier for the node; may not be null
      Returns:
        `true` if this store contains extra properties, `false` otherwise.

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.